%define gcj_support 1
%define bootstrap 0
%define section        free

Name:           log4j
Version:        1.2.14
Release:        %mkrel 2
Epoch:          0
Summary:        Java logging package
License:        Apache License
URL:            http://logging.apache.org/log4j/
Source0:        http://www.apache.org/dist/logging/log4j/%{version}/logging-log4j-%{version}.tar.gz
# Converted from src/java/org/apache/log4j/lf5/viewer/images/lf5_small_icon.gif
Source1:        %{name}-logfactor5.png
Source2:        %{name}-logfactor5.sh
Source3:        %{name}-logfactor5.desktop
# Converted from docs/images/logo.jpg
Source4:        %{name}-chainsaw.png
Source5:        %{name}-chainsaw.sh
Source6:        %{name}-chainsaw.desktop
Source7:        %{name}.catalog
Patch0:         %{name}-logfactor5-userdir.patch
Patch1:         %{name}-javadoc-xlink.patch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant
BuildRequires:  jaf >= 0:1.0.1
%if !%{bootstrap}
BuildRequires:  javamail >= 0:1.2
%endif
BuildRequires:  jms
BuildRequires:  mx4j
BuildRequires:  jndi
BuildRequires:  java-javadoc
BuildRequires:  xml-commons-apis
BuildRequires:  jaxp_parser_impl
Requires:       jaf
%if !%{bootstrap}
Requires:       javamail
%endif
Requires:       jms
Requires:       mx4j
Requires:       jndi
Requires:       jpackage-utils >= 0:1.5
Requires:       xml-commons-apis
Requires:       jaxp_parser_impl
Requires(post):	sgml-common libxml2-utils
Requires(preun):	libxml2-utils
Requires(postun):	sgml-common
Group:          Development/Java
%if %{gcj_support}
BuildRequires:        gcc-java
Requires(post):        java-gcj-compat
Requires(postun): java-gcj-compat
BuildRequires:        java-gcj-compat
%else
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#Vendor:         JPackage Project
#Distribution:   JPackage

%description
Log4j is a tool to help the programmer output log statements to a
variety of output targets.

%package        manual
Summary:        Manual for %{name}
Group:          Development/Java

%description    manual
Documentation for %{name}.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description    javadoc
Javadoc for %{name}.

%prep
%setup -q -n logging-%{name}-%{version}
%patch0 -p0
%patch1 -p0
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
# fix perl location
sed -i -e 's|/opt/perl5/bin/perl|%{__perl}|' contribs/KitchingSimon/udpserver.pl

%build
%if !%{bootstrap}
export CLASSPATH=$(build-classpath jaf javamail/mailapi jms mx4j)
%else
export CLASSPATH=$(build-classpath jaf javamail/mailapi)
%endif

ant -Djdk.javadoc=%{_javadocdir}/java jar javadoc
if [ -z "`unzip -l dist/lib/%{name}-%{version}.jar |grep META-INF/INDEX.LIST`" ]; then
	jar -i dist/lib/%{name}-%{version}.jar
fi

%install
rm -rf %{buildroot}

# jars
install -m644 dist/lib/%{name}-%{version}.jar -D %{buildroot}%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# javadoc
install -d %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -r docs/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

# scripts
install -m755 %{SOURCE2} -D %{buildroot}%{_bindir}/logfactor5
install -m755 %{SOURCE5} -D %{buildroot}%{_bindir}/chainsaw

# freedesktop.org menu entries and icons
install -m644 %{SOURCE1} -D %{buildroot}%{_datadir}/pixmaps/logfactor5.png
install -m644 %{SOURCE3} -D %{buildroot}%{_datadir}/applications/jpackage-logfactor5.desktop
install -m644 %{SOURCE4} -D %{buildroot}%{_datadir}/pixmaps/chainsaw.png
install -m644 %{SOURCE6} -D %{buildroot}%{_datadir}/applications/jpackage-chainsaw.desktop

# DTD and the SGML catalog (XML catalog handled in scriptlets)
install -m644 src/java/org/apache/log4j/xml/log4j.dtd -D %{buildroot}%{_datadir}/sgml/%{name}/log4j.dtd
install -m644 %{SOURCE7} -D %{buildroot}%{_datadir}/sgml/%{name}/catalog

%if %{gcj_support}
aot-compile-rpm
%endif

%clean
rm -rf %{buildroot}

%post
%{_bindir}/install-catalog --add \
	%{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat \
	%{_datadir}/sgml/%{name}/catalog

%{_bindir}/xmlcatalog --noout --add system log4j.dtd \
	file://%{_datadir}/sgml/%{name}/log4j.dtd %{_sysconfdir}/xml/catalog
%if %{gcj_support}
%{_bindir}/rebuild-gcj-db
%endif

%preun
%{_bindir}/xmlcatalog --noout --del \
	log4j.dtd %{_sysconfdir}/xml/catalog

%postun
%{_bindir}/install-catalog --remove \
	%{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat \
	%{_datadir}/sgml/%{name}/catalog
%if %{gcj_support}
%{_bindir}/rebuild-gcj-db
%endif

%files
%defattr(-,root,root,-)
%doc INSTALL LICENSE
%{_bindir}/*
%{_javadir}/*
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/*.jar.*
%endif
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/sgml/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc docs/* contribs

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%{_javadocdir}/%{name}


%changelog
* Mon Feb 19 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.14-2mdv2007.0
+ Revision: 122852
- cleanups
- don't screw up symlinks
- index jar
- add reguires for scriptlets

* Tue Dec 12 2006 David Walluck <walluck@mandriva.org> 0:1.2.14-1mdv2007.1
+ Revision: 95237
- 1.2.14
- Import log4j




* Sat Jul 22 2006 David Walluck <walluck@mandriva.org> 0:1.2.13-2.1mdv2007.0
- bump release

* Thu Jun 01 2006 David Walluck <walluck@mandriva.org> 0:1.2.13-1.1mdv2007.0
- 1.2.13
- rebuild for libgcj.so.7

* Fri Dec 02 2005 David Walluck <walluck@mandriva.org> 0:1.2.12-1.1mdk
- 1.2.12
- aot-compile

* Sun Nov 06 2005 David Walluck <walluck@mandriva.org> 0:1.2.9-1.3mdk
- enable rmic task

* Mon May 09 2005 David Walluck <walluck@mandriva.org> 0:1.2.9-1.2mdk
- rebuild as non-bootstrap

* Mon May 09 2005 David Walluck <walluck@mandriva.org> 0:1.2.9-1.1mdk
- release

* Tue Apr 26 2005 Ville Skyttä <scop at jpackage.org> - 0:1.2.9-1jpp
- 1.2.9.
- Fix URLs.
- Crosslink with local JDK javadocs.

* Tue Feb 22 2005 David Walluck <david@jpackage.org> 0:1.2.8-9jpp
- own non-versioned javadoc symlink
- fix perl location in contribs script

* Sat Aug 21 2004 Fernando Nasser <fnasser@redhat.com> - 0:1.2.8-8jpp
- Rebuild wit Ant 1.6.2

* Sun Aug 31 2003 Ville Skyttä <scop at jpackage.org> - 0:1.2.8-7jpp
- Add scripts and freedesktop.org menu entries for LogFactor5 and Chainsaw.
- Include log4j.dtd and install SGML/XML catalogs.
- Require jpackage-utils, jaxp_parser_impl.
- Crosslink with local xml-commons-apis javadocs.
- Don't BuildRequire JUnit, the test suite is not included :(
- Fix Group.

* Sun May 11 2003 David Walluck <david@anti-microsoft.org> 0:1.2.8-6jpp
- add jpackage-utils requirement
- add epochs to all versioned requirements
- use jmx explicitly for now until mx4j works

* Thu Mar 21 2003 Nicolas Mailhot <Nicolas.Mailhot (at) laPoste.net> 1.2.8-3jpp
- For jpackage-utils 1.5

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.2.8-2jpp
- fix ASF license and add packager tag

* Thu Feb 20 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.2.8-1jpp
- log4j 1.2.8

* Thu Oct 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2.7-1jpp
- log4j 1.2.7

* Fri Aug 23 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2.6-1jpp
- log4j 1.2.6

* Wed Jul 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2.5-1jpp
- log4j 1.2.5

* Tue Jul 02 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.4-2jpp
- section macro

* Thu Jun 20 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2.4-1jpp
- log4j 1.2.4

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-8jpp
- versioned dir for javadoc
- drop j2ee package
- no dependencies for manual and javadoc packages
- adaptation for new jaf and javamail packages

* Sat Dec 8 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-7jpp
- drop j2ee patch

* Wed Dec 5 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-6jpp
- javadoc into javadoc package
- drop %{name}-core.jar

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.1.3-5jpp
- new jpp extension
- fixed compilation (added activation in the classpath)
- BuildRequires: jaf

* Tue Nov 20 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-4jpp
- non-free extension classes back in original archive
- removed packager tag

* Tue Oct 9 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-3jpp
- first unified release
- non-free extension as additional package
- s/jPackage/JPackage

* Tue Sep 04 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-2mdk
- rebuild with javamail to provide SMTP appender
- add CVS references

* Sun Aug 26 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-1mdk
- 1.1.3
- used new source packaging policy
- vendor tag
- packager tag
- s/Copyright/License/
- truncated description to 72 columns in spec
- spec cleanup
- used versioned jar

* Sat Feb 17 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.4-3mdk
- spec cleanup
- changelog correction
- build with junit

* Sun Feb 04 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.4-2mdk
- merged with Henri Gomez <hgomez@users.sourceforge.net> specs:
-  changed name to log4j
-  changed javadir to /usr/share/java
-  dropped jdk & jre requirement
-  added jikes support
-  changed description
- added xerces requirement
- more macros

* Sun Jan 14 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.4-1mdk
- first Mandrake release
